<?php
if (post_password_required()) {
	return;
}
?>

<div id="comments" class="comments-area">
	<?php
	if (have_comments()) :
		?>
		<h2 class="comments-title">
			<?php printf(__('Comment: %s', 'bonyo'), get_the_title());	?>
		</h2>

		<ol class="comment-list">
			<?php
				wp_list_comments(
					array(
						'avatar_size' => 100,
						'style'       => 'ol',
						'short_ping'  => true,
						'reply_text'  => __('Reply', 'bonyo'),
					)
				);
			?>
		</ol>
		<?php
		the_comments_pagination(
			array(
				'prev_text' => '<span class="screen-reader-text">' . __('Previous', 'bonyo') . '</span>',
				'next_text' => '<span class="screen-reader-text">' . __('Next', 'bonyo') . '</span>',
			)
		);
	endif;

	if (!comments_open() && get_comments_number() && post_type_supports(get_post_type(), 'comments')) :
		?>
		<p class="no-comments"><?php _e('Comments are closed.', 'bonyo'); ?></p>
		<?php
	endif;

	comment_form();
	?>
</div><!-- #comments -->
